/*
 * Created on Mar 13, 2005 by Sergei Vasilevsky
 * Part of CLCA project
 */
package edu.uiuc.webcoord;

public class WEImage extends WebElement{
	private String caption;
	private String path;
	
	public WEImage(String _xCoord, String _yCoord, String _caption, String _path) {
		super(_xCoord, _yCoord);
		setCaption(_caption);
		setPath(_path);
	}

	/**
	 * @param caption The caption to set.
	 */
	public void setCaption(String caption) {
		this.caption = caption;
	}

	/**
	 * @return Returns the caption.
	 */
	public String getCaption() {
		return caption;
	}

	/**
	 * @param path The path to set.
	 */
	public void setPath(String path) {
		this.path = path;
	}

	/**
	 * @return Returns the path.
	 */
	public String getPath() {
		return path;
	}
}
